esxupdate – Error parsing VIB from VIB database….

Que tal gente, el día de hoy me encontraba actualizando toda la infraestructura VMware  de mi trabajo a la versión 4.1 debido a que ya esta liberado View 4.5 y ya podemos tener VMware Composer funcionando, tenia planeado el realizar las actualizaciones de los hosts directamente con VUM, pero extrañamente con el primer servidor que comenzé me marcaba un error en el vCenter sin darme nada de detalles. Decidí realizar la actualización directamente con esxupdate, copie los archivos de actualización a mi servidor ESX y ejecute el comando :

esxupdate –bundle=archivodeactualizacion.zip update

y me mostraba un error como el siguiente:

Error parsing VIB from VIB database: (None, ‘Could not parse valid VIB type from XML data.’)

la solución fue sencilla, solo cambie de directorio a /etc/vmware/esxupdate y renombre el archivo “vibs.xml” con un simple “mv”

mv vibs.xml vibs.old

una vez hecho esto la actualización se realizó sin ningun problema.

Leave a Reply